Welcome to Portable Start Menu

What is Portable Start Menu?

Portable Start Menu is a simple and free start menu application that can be installed on USB sticks or local PCs.

It allows you to organize your programs in a simple menu system and launch them via a tray icon. If you close Portable Start Menu on an USB-Stick, running applications will be closed automatically.

Main features:

  • Organize and launch applications via a tray menu
  • Automatically closes running applications on USB-Sticks
  • Checks if an application has been changed before execution
  • Runs on USB-Sticks without leaving any traces on a host PC
  • Portable Start Menu is Freeware

Additional functions on USB sticks

If you run Portable Start Menu on an USB stick, you can:

  • Create an autorun file to automatically launch Portable Start Menu
  • Close running applications when you exit Portable Start Menu


Drive letter, Paths, Variables, URLs

Drive letter is adjusted automatically

The drive letter of an application is automatically adjusted if the application is on the same drive as Portable Start Menu.

H:\prog\proj.exe will automatically become X:\prog\prog.exe if your USB stick is mounted to drive X next time.

Relative paths

You can also use relative paths to define your applications.

If Portable Start Menu is installed in X:\PSMenu, you can use ..\prog\prog.exe to start the application from X:\prog\prog.exe.

Variables

The variables below can be used as part of the application path. Portable Start Menu automatically adds a trailing backslash to the path.

%windir% | Windows directory (eg. %windir%notepad.exe to start Notepad on the host PC
%ProgramFiles% | Program Files directory (eg. %ProgramFiles%Internet Explorer\iexplore.exe to start IE on the host PC
%AppData% | Application Data folder
%MyDocuments% | My Documents folder

Open a folder

If you want to open a folder in Windows Explorer, simply enter the folder path instead of the application.
For example x:\data or %ProgramFiles%

Open a web address

If you want to open a web page in the default web browser, then enter the URL instead of the application. Portable Start Menu looks for the http://, the https:// and the ftp:// protocol in the program definition. For example http://www.aignes.com


Quick Start functionality

Start applications

Portable Start Menu supports a Quick Start functionality that lets you open application with a few shortcuts.

The shortcut to open the Quick Start window can be defined in the program configuration, for example Ctrl+Alt+F12.

Useful shortcuts:

Any character | Search application
Cursor up/down | Scroll within the selection (also when the Search field has the focus)
Enter | Start Application (also when the Search field has the focus)
Ctrl+Backspace | Delete search text
Alt+W | Include/Exclude programs from the Windows start menu
F5 | Reload program list
Esc | Close window


Uninstall

If you have installed Portable Start Menu in portable mode, no uninstall program is available and you have to delete the files manually. Everything is stored within the application directory, absolutely nothing is stored into the registry or other locations. To uninstall Portable Start Menu, simply delete the application folder. If you have also create a autorun file, you have to delete this file from the root folder of your portable drive.

If you have installed Portable Start Menu as normal windows application, you can use the Uninstall routine to remove all files and start menu icons.


License Agreement

Terms of License for the software product Portable Start Menu (in the following called "SOFTWARE PRODUCT")

This End-User License Agreement ("EULA") is a legal agreement between you (either an individual or a single entity) and Aignesberger Software GmbH. Please pay attention to the following notes before you start using this software. If you do not agree with the following, do not use the SOFTWARE PRODUCT and remove it from your system.

1. License Agreement

The SOFTWARE PRODUCT is Freeware! You may install and use an unlimited number of copies of the SOFTWARE PRODUCT.

2. Reproduction and Distribution

The SOFTWARE PRODUCT may be freely distributed, provided the distribution package is not modified. The SOFTWARE PRODUCT and the attached documentation can not be distributed together with commercial software. For this you need to be authorized by the manufacturer.
No person or company may charge a fee for the distribution of the SOFTWARE PRODUCT without written permission of the author. The SOFTWARE PRODUCT may not be sold or be included in a product or package.

3. Other Rights and Limitations

Limitations on Reverse Engineering, Decompilation, and Disassembly: You may not reverse engineer, decompile, or disassemble the SOFTWARE PRODUCT, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation.

Separation of Components: The SOFTWARE PRODUCT is licensed as a single product. Its component parts may not be separated for use on more than one computer.

Termination: Without prejudice to any other rights, the Author of this Software may terminate this End-User License Agreement if you fail to comply with the terms and conditions of this End-User License Agreement. In such event, you must destroy all copies of the SOFTWARE PRODUCT and all of its component parts.

4. Copyright

The SOFTWARE PRODUCT is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties.

5. No Warranties

The Author of the SOFTWARE PRODUCT expressly disclaims any warranty for the SOFTWARE PRODUCT. The SOFTWARE PRODUCT and any related documentation is provided "AS IS" without warranty of any kind, either express or implied, including, without limitation, the implied warranties or merchantability, fitness for a particular purpose, or noninfringement. The entire risk arising out of use or performance of the SOFTWARE PRODUCT remains with you.
No Liability for Damages: In no event shall the author of this Software be liable for any damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss) arising out of the use of or inability to use this product, even if the Author of the SOFTWARE PRODUCT has been advised of the possibility of such damages. Because some states/jurisdictions do not allow the exclusion or limitation of liability for consequential or incidental damages, the above limitation may not apply to you.

6. Other Provisions

The license agreement for this software may be modified if necessary. Therefore the license agreement under which the software has been delivered will be applied. Should one or more provisions of this agreement be or become invalid, all other license agreements and provisions remain valid. Invalid provisions have to be replaced by others which are equal for the economical contents. The latest revision of this document can be found at www.aignes.com. All mentioned trademarks and copyrights are property of the relative owner.


Thanks

Acknowledgements

Portable Start Menu uses several third party components, some of them are written by:

Jordan Russel (Toolbar 2000 and InnoSetup)
Alex A. Denisov (TBX)
Vladimir Bochkarev(TBX Patches)
Mike Lischke (VirtualTreeView)